Subject: [bug#32111] daemon store names can't start with a dot

From: [email-masked] (Ludovic Courtès)
Date: Thu, 12 Jul 2018 18:17:49 +0200

Clément Lassieur <[email-masked]> skribis:

> Ludovic Courtès <[email-masked]> writes:
>
>> Hello Clément,
>>
>> Clément Lassieur <[email-masked]> skribis:
>>
>>> Nils Gillmann <[email-masked]> writes:
>>>
>>>> Hi,
>>>>
>>>> Can you provide some context why this is necessary, maybe even
>>>> in the commit message?
>>>
>>> It's necessary when you want to package a program whose source looks
>>> like file:///home/foo/.bar.
>>
>> I’d rather not make this kind of change.  In general, I think we should
>> be very conservative about changes to the daemon and its protocol,
>> because that’s the common denominator of all the versions of Guix.
>>
>> If we change something like it, then we’ll get subtle breakage depending
>> on the version of the daemon in use.
>>
>> WDYT?
>
> Okay, let's abandon this then :-)
>
> CCing bug-guix because I still think it's a bug; please close it if you
> disagree.

Looks like you already closed it (or was it me?).

Anyway, it’s certainly a limitation, but given that it’s an annoyance
more than a showstopper (in my view at least), I’m in favor keeping
things this way for the sake of compatibility.

Ludo’.